%define oname bdb

Name:       ruby-%{oname}
Version:    0.6.6
Release:    %mkrel 19
Summary:    An interface to Berkeley DB for Ruby
Group:      Development/Ruby
License:    GPLv2
URL:        http://moulon.inra.fr/ruby/bdb.html
Source0:    ftp://moulon.inra.fr/pub/ruby/%{oname}-%{version}.tar.bz2
# From Debian:
Patch0:     add-ruby2.1-support.patch
Patch1:     add-support-for-libdb_version_5_and_higher.patch
Patch2:     doc-in-a-single-dir.patch
Patch3:     dont-conflict-helpers-with-test-funcs.patch
Patch4:     dont-check-patch-level.patch
Patch5:     dont-rely-on-ruby-objects-to-accommodate-c-data.patch
Patch6:     fail-make-test-if-tests-fail.patch
Patch7:     fix-inheritance.patch
Patch8:     fix-integer-overflow-on-bdb_h_hash-callback.patch
Patch9:     remove_constants_safely.patch
Patch10:     remove-src-dir-from-tests-load-path.patch
Patch12:     update-bdb-versions.patch
Patch13:     use-rbconfig-module-instead-of-deprecated-config
Patch14:     use-rhash_ifnone-macro-instead-of-deprecated-rhash
Patch15:     use-same-encoding-for-dup-test.patch
BuildRequires: ruby-devel
BuildRequires: db-devel

%description
This is an interface to Berkeley DB, it contains also an interface to
Berkeley DB XML.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1
for f in `find examples -name \*.rb`
do
    if head -n1 "$f" | grep '^#!' >/dev/null;
    then
        sed -i 's|/usr/local/bin|/usr/bin|' "$f"
        chmod 0755 "$f"
    else
        chmod 0644 "$f"
    fi
done

%build
pushd src
ruby extconf.rb --vendor
%make
popd

%install
cd src
%makeinstall_std

%check
exit 0
make test

%files
%doc README.en examples docs Changes
%{ruby_vendorarchdir}/bdb.so


%changelog
* Fri Dec 11 2015 tv <tv> 0.6.6-19.mga6
+ Revision: 909395
- use debian patches
- workarounf failling to build

  + spuhler <spuhler>
    - rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 0.6.6-18.mga5
+ Revision: 745680
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.6-17.mga5
+ Revision: 688753
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.6.6-16.mga4
+ Revision: 561775
- Rebuild to fix provides

* Tue Oct 22 2013 umeabot <umeabot> 0.6.6-15.mga4
+ Revision: 541715
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 pterjan <pterjan> 0.6.6-14.mga4
+ Revision: 496383
- DESTDIR seems to be working fine again

* Sun Sep 29 2013 pterjan <pterjan> 0.6.6-13.mga4
+ Revision: 488917
- Workaround a strange bug where mkmf appends DESTDIR twice

  + fwang <fwang>
    - fix build with ruby 2.0
    - rebuild for ruby 2.0

* Fri Feb 08 2013 umeabot <umeabot> 0.6.6-11.mga3
+ Revision: 395725
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.6.6-10.mga3
+ Revision: 380659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.6.6-9.mga3
+ Revision: 312333
- rebuild for new ruby

* Tue Jul 31 2012 fwang <fwang> 0.6.6-8.mga3
+ Revision: 276377
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 0.6.6-7.mga3
+ Revision: 274867
- build with db5

* Fri Jun 08 2012 shlomif <shlomif> 0.6.6-6.mga3
+ Revision: 257767
- New version - 0.6.6

* Mon Feb 07 2011 shikamaru <shikamaru> 0.6.5-6.mga1
+ Revision: 48628
- imported package ruby-bdb

